import e from "./_baseIteratee.js";
import t from "./_baseFindIndex.js";
import n from "./toInteger.js";
//#region ../../node_modules/lodash-es/findIndex.js
var r = Math.max;
function i(i, a, o) {
	var s = i == null ? 0 : i.length;
	if (!s) return -1;
	var c = o == null ? 0 : n(o);
	return c < 0 && (c = r(s + c, 0)), t(i, e(a, 3), c);
}
//#endregion
export { i as default };
